Bug 286564

Summary: plan do not update the resources allocation number when selected
Product: calligraplan Reporter: Dag Andersen <dag.andersen>
Component: generalAssignee: Dag Andersen <dag.andersen>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:

Description Dag Andersen 2011-11-14 07:34:28 UTC
+++ This bug was initially created as a clone of Bug #255314 +++

Created an attachment (id=52882)
window with the problem

Version:           unspecified (using KDE 4.5.1) 
OS:                Linux

when selecting resources as works in the Resource tab on the task setting, the totla number of allocation remain to 0. Also it's not possible to select a "required resource".

Reproducible: Always

Steps to Reproduce:
open the task setting in the task view (with some resources as works belonging to a group, already inserted into the resources), than switch to the resource tab and select the resource, click ok and then if you re-enter in the same window, the resource is selected but the summary is still 0

Actual Results:  
is a 0

Expected Results:  
an update of the total resources used
Comment 1 Dag Andersen 2012-05-16 10:10:11 UTC
Git commit 3c69d3900383b1904f34dffc1b45283a4781fba8 by Dag Andersen.
Committed on 16/05/2012 at 12:06.
Pushed by danders into branch 'master'.

Fix Bug 286564 -  plan do not update the resources allocation number when selected

Add tooltips/whatsthis and show more info to make the dialog more userfriendly
Fix bug in dynamic allocation

M  +4    -1    plan/libs/kernel/KPlatoXmlLoaderBase.cpp
M  +2    -2    plan/libs/kernel/kptglobal.h
M  +26   -13   plan/libs/kernel/kptresource.cpp
M  +1    -1    plan/libs/kernel/kptresource.h
M  +2    -2    plan/libs/kernel/kpttask.cpp
M  +124  -17   plan/libs/models/kptresourceallocationmodel.cpp
M  +7    -1    plan/libs/models/kptresourceallocationmodel.h

http://commits.kde.org/calligra/3c69d3900383b1904f34dffc1b45283a4781fba8